;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; A sample file of .mew.el
;;
;; Modified for MacOS X WorkShop <KOBAYASHI Taizo>
;; Time-stamp: <2010-03-17 17:22:05 tkoba>
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; This is just a sample. You should customize as you like...
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Mew 6.3  -  Messaging in the Emacs World
;;
;;   The configuration file is "~/.emacs.d/mew.el".
;;   The latest is "/usr/osxws/share/OSXWS/jp/.emacs.d/mew.el".
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; Sec.0 "path"
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;(setq exec-path
;;      (append
;;      (list "/usr/osxws/bin" "~/bin") exec-path))
;;(setenv "PATH" 
;;      (concat '"/usr/osxws/bin:~/bin:" (getenv "PATH")))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; Sec.1 "servers"
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;
;; Sec.1.1 "POP server"
;;

(setq mew-name "your full name") ;; (user-full-name)
(setq mew-user "") ;; (user-login-name)
(setq mew-mail-domain "domain.name")
(setq mew-pop-user "")   ;; (user-login-name)
(setq mew-pop-server "")    ;; if not localhost
;;(setq mew-pop-ssh-server "")    ;; if not localhost

;; POP certification
;; APOP : 'apop
;; POP  : 'pass (USER/PASS)
;;(setq mew-pop-auth 'pass)

;; After you get messages from the POP server,
;; delete the messages on POP server : t
;; keep them : nil
;; keep N days : N
(setq mew-pop-delete 7)

;; The upper limit size of the message.
(setq mew-pop-size (* 20320 1024))  ;; 4K hdr + 2M bdy

;;
;; Sec.1.2 "SMTP server"
;;

(setq mew-smtp-server "")  ;; if not localhost
;;(setq mew-smtp-ssh-server "")  ;; if not localhost

(setq mew-use-cached-passwd t) 
(setq mew-passwd-timer-unit 60)       ; 60 minutes = 1 hour
(setq mew-passwd-lifetime 24)         ; timer-unit x 24 = 24 hours

;; SMTP AUTH
;; If your server returns AUTH capability but do not accept your password,
;; remove ";" of the next line.
;;(setq mew-use-smtp-auth nil)


;; "mbox" or "maildir" without POP
;; if /path/to/mbox is a file : "mbox"、
;;                     a directory : "maildir"
;;(setq mew-mailbox-type 'mbox)
;;(setq mew-mbox-command "incm")
;;(setq mew-mbox-command-arg "-d /path/to/mbox")

;;
;; Sec.1.3 "IMAP"
;;
;;(setq mew-proto "%")
;;(setq mew-imap-user "your IMAP account")  ;; (user-login-name)
;;(setq mew-imap-server "your IMAP server")    ;; if not localhost
;;(setq mew-imap-ssl t)
;;(setq mew-imap-ssl-port "993")
;;(setq mew-imap-delete nil)
;;(setq mew-imap-auth nil)
;;(setq mew-imap-auth-list "LOGIN")
;;(setq mew-imap-trash-folder "%Trash")
;;(setq mew-imap-header-only nil)
;;(setq mew-ssl-verify-level 0)

;; Sec.1.4 "NNTP"
;;(setq mew-nntp-user "your NNTP account")
;;(setq mew-nntp-server "your NNTP server")

;; Optional setup (Read Mail menu for Emacs 21):
(if (boundp 'read-mail-command)
    (setq read-mail-command 'mew))

;; Optional setup (e.g. C-xm for sending a message):
;;(autoload 'mew-user-agent-compose "mew" nil t)
;;(if (boundp 'mail-user-agent)
;;    (setq mail-user-agent 'mew-user-agent))
;;(if (fboundp 'define-mail-user-agent)
;;    (define-mail-user-agent
;;      'mew-user-agent
;;      'mew-user-agent-compose
;;      'mew-draft-send-message
;;      'mew-draft-kill
;;      'mew-send-hook))



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; Sec.2 "client conf"
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;; biff
;;(setq mew-use-biff t)
;;(setq mew-use-biff-bell t)
;;(setq mew-biff-interval 10) ;; 10 min

;; The upper limit size of MIME analyzing
(setq mew-file-max-size (* 20480 1024))  ;; 2M MIME analysis

(setq mew-decode-quoted t)

(setq mew-auto-get nil)
(setq mew-auto-flush-queue t)


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; Sec.3 "interface"
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;(setq mew-prog-imls-arg-list '("--thread=yes"))


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; Sec.4 "message format"
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;(setq mew-safe-domains ’("example.org"))
;;(setq mew-warn-addresses '("customers@example.org"))

(setq mew-cite-fields '("From:" "Subject:" "Date:" "Message-ID:"))
(setq mew-cite-format "From: %s\nSubject: %s\nDate: %s\nMessage-ID: %s\n\n")
;;(setq mew-cite-prefix-function 'mew-cite-prefix-username)

;;(setq mew-mail-domain-list '("domain.name"))

;; drop you address in Bcc
;;(setq mew-mail-address-list
;;          '("hoge@domain.name"))

;; header items
;;(setq mew-header-alist '(
;;         ("Cc" . "hoge@domain.name")
;;         ("Reply-To" . "fuga@domain2.name")))

;; drop "Received:" and "Return-Path:" at forwarding
;;(setq mew-field-delete-for-forwarding '("Received:" "Return-Path:"))

;; Reply-To
;;(setq mew-reply-all-alist
;;      '((("Followup-To:" "poster")
;;         ("To:" "From:"))
;;        ("Followup-To:"
;;         ("Newsgroups:" "Followup-To:"))
;;        ("Newsgroups:"
;;         ("Newsgroups:" "Newsgroups:"))
;;        ("Reply-To:"
;;         ("To:" "Reply-To:"))
;;        (t
;;         ("To:" "From:")
;;         ("Cc:" "To:" "Cc:" "Apparently-To:"))))

;; insert your template automatically
;;(add-hook 'mew-draft-mode-hook
;;   (function
;;      (lambda()
;;         (let ((p (point)))
;;         (goto-char (point-max))
;;         (insert-file "~/Mail/teikei")
;;         (goto-char p)))))

;; insert your template automatically when reply
;;(add-hook 'mew-before-cite-hook
;;   (lambda() (goto-char (point-max))))



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; Sec.5 "anything else"
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;; search tool
;; 'spotlight, 'wds, 'google, 'namazu
(setq mew-search-method 'spotlight)

;; drop messages which have same contents
(setq mew-summary-form-mark-spam t)

;; master password
(setq mew-use-master-passwd t)

;;
;; SPAM header
;;
(setq mew-spam: "X-Spam-Flag:")

;; move to the 'trash'
(defun mew-spam-assassin (val)
    (let ((case-fold-search t))
          (if (string-match "yes" val) ?D)))

;; move to the 'junk'
;;(defun mew-spam-assassin (val)
;;  (let ((case-fold-search t))
;;    (if (string-match "yes" val) "+junk")))

(setq mew-inbox-action-alist
          '(("X-Spam-Flag:" mew-spam-assassin)))


;; printing
(defun mew-print-region (mark point)
     (interactive "r")
     (mac-print-buffer))

(defun mew-print-buffer ()
    (interactive)
    (mew-print-region (point-min) (point-max)))
(setq mew-print-function (function mew-print-buffer))

;; web browser
(autoload 'browse-url-at-mouse "browse-url"
      "Ask a WWW browser to load a URL clicked with the mouse." t)
(add-hook 'mew-message-mode-hook
   (function
      (lambda()
         (local-set-key [mouse-3] 'browse-url-at-mouse))))

;; use "default browser" on MacOS X
(setq mew-prog-text/html-ext "open")
;;(setq thing-at-point-url-path-regexp "[~/A-Za-z0-9---_.${}#%,:]+")

;; use w3m
;;(setq mew-mime-multipart-alternative-list '("Text/Html" "Text/Plain" "*."))

;;(condition-case nil
;;    (require 'mew-w3m)
;;  (file-error nil))
;;(setq w3m-type 'w3m-m17n)


;; distributing

(setq mew-refile-guess-alist
  '(("Reply-To:"
       ("ml-huge@" . "+ml/huge")
   )
   ("To:"
       ("to@" . "+from/to")
   )
   ("Cc:"
       ("cc@" . "+from/cc")
   )
   ("From:"
       ("tkoba@" . "+from/tkoba")
   )
))

;;
;; End
;;
